package routers

import (
	"github.com/gin-gonic/gin"
	"hongze/hongze_yb/controller/chart"
	"hongze/hongze_yb/middleware"
)

func InitChart(r *gin.Engine) {
	rGroup := r.Group("my_chart").Use(middleware.Token(), middleware.CheckChartAuth())
	{
		rGroup.GET("/getChartChassify", chart.GetMyChartChassify)
		rGroup.GET("/getChartList", chart.GetMyChartList)
		rGroup.POST("/moveMyChart", chart.MoveMyChart)
		rGroup.POST("/moveMyChartClassify", chart.MoveMyChartClassify)
		rGroup.GET("/getChartDetail", chart.GetChartInfoDetail)
		rGroup.GET("/editChartInfo", chart.EditChartInfo)
		rGroup.POST("/refreshChartInfo", chart.RefreshChartInfo)
	}
}
